Bug 1002333 - [abrt] remmina-1.0.0-7.fc19: pa_queue_push: Process /usr/bin/remmina was killed by signal 6 (SIGABRT)
[abrt] remmina-1.0.0-7.fc19: pa_queue_push: Process /usr/bin/remmina was kill...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
abrt_hash:d8dc9202a4a72a0c0ab845f5b99...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 18:54 EDT by neil
Modified: 2014-08-18 03:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-18 03:29:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.04 KB, text/plain)
2013-08-28 18:54 EDT, neil
no flags Details
File: cgroup (141 bytes, text/plain)
2013-08-28 18:55 EDT, neil
no flags Details
File: core_backtrace (35.68 KB, text/plain)
2013-08-28 18:55 EDT, neil
no flags Details
File: dso_list (14.62 KB, text/plain)
2013-08-28 18:55 EDT, neil
no flags Details
File: environ (1.22 KB, text/plain)
2013-08-28 18:55 EDT, neil
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-28 18:55 EDT, neil
no flags Details
File: maps (71.98 KB, text/plain)
2013-08-28 18:55 EDT, neil
no flags Details
File: open_fds (2.56 KB, text/plain)
2013-08-28 18:55 EDT, neil
no flags Details
File: proc_pid_status (950 bytes, text/plain)
2013-08-28 18:55 EDT, neil
no flags Details

  None (edit)
Description neil 2013-08-28 18:54:55 EDT
Version-Release number of selected component:
remmina-1.0.0-7.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        remmina
crash_function: pa_queue_push
executable:     /usr/bin/remmina
kernel:         3.10.9-200.fc19.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Aug 26 11:49:30 fedora abrt[26094]: Saved core dump of pid 19328 (/usr/bin/remmina) to /var/tmp/abrt/ccpp-2013-08-26-11:49:29-19328 (153415680 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 pa_queue_push at pulsecore/queue.c:74
 #3 pa_pstream_send_packet at pulsecore/pstream.c:341
 #4 pa_pstream_send_tagstruct_with_creds at pulsecore/pstream-util.c:41
 #5 stream_send_simple_command at pulse/stream.c:2285
 #6 pa_stream_trigger at pulse/stream.c:2376
 #7 rdpsnd_process_message_close at /usr/src/debug/freerdp-1.0.2/channels/rdpsnd/rdpsnd_main.c:374
 #8 rdpsnd_process_receive at /usr/src/debug/freerdp-1.0.2/channels/rdpsnd/rdpsnd_main.c:420
 #9 svc_plugin_process_data_in at /usr/src/debug/freerdp-1.0.2/libfreerdp-utils/svc_plugin.c:249
 #10 svc_plugin_thread_func at /usr/src/debug/freerdp-1.0.2/libfreerdp-utils/svc_plugin.c:278
 #12 clone at /lib64/libc.so.6

Potential duplicate: bug 880638
Comment 1 neil 2013-08-28 18:54:59 EDT
Created attachment 791539 [details]
File: backtrace
Comment 2 neil 2013-08-28 18:55:02 EDT
Created attachment 791540 [details]
File: cgroup
Comment 3 neil 2013-08-28 18:55:06 EDT
Created attachment 791541 [details]
File: core_backtrace
Comment 4 neil 2013-08-28 18:55:09 EDT
Created attachment 791542 [details]
File: dso_list
Comment 5 neil 2013-08-28 18:55:12 EDT
Created attachment 791543 [details]
File: environ
Comment 6 neil 2013-08-28 18:55:14 EDT
Created attachment 791544 [details]
File: limits
Comment 7 neil 2013-08-28 18:55:17 EDT
Created attachment 791545 [details]
File: maps
Comment 8 neil 2013-08-28 18:55:20 EDT
Created attachment 791546 [details]
File: open_fds
Comment 9 neil 2013-08-28 18:55:23 EDT
Created attachment 791547 [details]
File: proc_pid_status
Comment 10 Christoph Wickert 2014-05-22 07:35:03 EDT
Assigning bug to new package maintainer.
Comment 11 Pavel Alexeev 2014-08-18 03:29:00 EDT
Thank very much bug report and willing make free software better.

As I already use remmina in my day job I really try fix known issues and make it up to date. Unfortunately it is big project which is poorly maintained upstream for long time. In prepare new release of freerdp and remmina we hope it may be changed now. Remmina still have many opened issues some of opened for years. Meantime some of major have trend to resolve (for example not official path to solve clipboard issue https://github.com/FreeRDP/Remmina/issues/280#issuecomment-51663311 already in rawhide).

So have such problems unfortunately became near impossible maintain such fixes in stable Fedora versions.
With help of Simone Caronni we have new version 1.0.0 from git master branch which promise some enhancements as well and based on freerdp 1.1.0 released recently. I can suggest for everyone to try that.

Please reopen if you problem still reproduced on that version.

Note You need to log in before you can comment on or make changes to this bug.